## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           kdecoration5
Summary:        A plugin-based library to create window decorations
Version:        5.27.11
Release:        %autorelease
License:        LGPL-2.1-only OR LGPL-3.0-only
URL:            https://invent.kde.org/plasma/kdecoration
Source0:        %{url}/-/archive/v%{version}/kdecoration-v%{version}.tar.bz2

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)

Requires:       kf5-filesystem

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:      kdecoration-devel

%description    devel
This package contains development files for %{name}.

%package        lang
Summary:        Translations for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:      kdecoration

%description    lang
This package contains translations for %{name}.

%prep
%autosetup -p1 -n kdecoration-v%{version}

%build
%cmake_kf5
%cmake_build

%install
%cmake_install
%find_lang kdecoration

%files
%license LICENSES/*.txt
%{_libdir}/libkdecorations2.so.*
%{_libdir}/libkdecorations2private.so.*

%files devel
%{_libdir}/libkdecorations2.so
%{_libdir}/libkdecorations2private.so
%{_libdir}/cmake/KDecoration2/
%{_kf5_includedir}/kdecoration2_version.h
%{_includedir}/KDecoration2

%files lang -f kdecoration.lang

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.27.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Nov 03 2024 topazus <topazus@outlook.com> - 5.27.11-1
- initial import; rhbz#2304055
## END: Generated by rpmautospec
